DAHDI_REGISTRATION(8)

NAME
dahdi_registration - Handle registration of Xorcom XPD modules in dahdi.

SYNOPSIS
dahdi_registration [-v] [-s sortorder] [-R] [on|off]

DESCRIPTION
Without parameters, show all connected XPDs sorted by physical connector order. Each one is show to be unregistered (off), or registered to a specific dahdi span (the span number is shown).

All registerations/deregisterations are sorted by physical connector string.

Span registration should generally always succeed. Span unregistration may fail if channels from the span are in use by e.g. asterisk. In such a case you'll also see those channels as '(In use)' in the output of lsdahdi(8).

dahdi_registration is intended to be used when the kernel module parameter xpp.dahdi_autoreg is false (and implicitly: when the module parameter dahdi.auto_assign_span is true). See also the NOTES section regarding "dahdi_span_assignments".

If dahdi_autoreg is true, the program will normally do nothing.

  Parameters
off -- deregisters all XPD's from dahdi.

on -- registers all XPD's to dahdi.

  Options

-v  verbose output.

-R  Force operations (on/off) even if the module parameter dahdi_autoreg for xpp is enabled (which makes this program unneeded).

-s sort_order
    The sort order to use.

If the option is not used, the sort order is taken from the environment variable XBUS_SORT and failing that: the hard-coded default of SORT_XPPORDER.

The available sorting orders are documented in Dahdi::Xpp manual.

  Sample Output
An example of the output of dahdi_registration for some registered Astribanks:

  $ dahdi_registration -s type
  XBUS-01         usb:0000153     usb-0000:00:10.4-2
          XBUS-01/XPD-00: on Span 1
          XBUS-01/XPD-01: on Span 2
  XBUS-00         usb:0000157     usb-0000:00:10.4-4
          XBUS-00/XPD-00: on Span 3
          XBUS-00/XPD-01: on Span 4
          XBUS-00/XPD-02: on Span 5
          XBUS-00/XPD-03: on Span 6
          XBUS-00/XPD-04: on Span 7
          XBUS-00/XPD-05: on Span 8
          XBUS-00/XPD-06: on Span 9
          XBUS-00/XPD-07: on Span 10
  XBUS-02                 usb-0000:00:10.4-1
          XBUS-02/XPD-00: on Span 11
          XBUS-02/XPD-10: on Span 12
  # Sorted: type

FILES

/proc/xpp/XBUS-nn/XPD-mm/dahdi_registration
    Reading from this file shows if if the if the specific XPD is registered. Writing to it 0 or 1 registers / unregisters the device.

    This should allow you to register / unregister a specific XPD rather than all of them.

NOTES
dahdi_registration is intended to be used when the kernel module parameter xpp.dahdi_autoreg is false (and implicitly: when the module parameter dahdi.auto_assign_span is true), that is, Astribank devices as detected by XPP (xbus / xpd) do not register automatically with the DAHDI core. This tool is used to register tem in an explicit order. It works well, but only if you can arange for all of the Astribanks of the system to be available (and not already registered) at a specific point in time.

Newer versions of DAHDI added support for registering a span to a specific span/channelss numbers specification. This allows registering them out of order. To use this capability, the module parameter dahdi.auto_assign_span should be unset (set to 0) and thus spans of detected DAHDI devices could be registered using "dahdi_span_assignments" (which may also be run automatically from a udev hook).

In this case there is no point in delaying XPP device registration with dahdi and the parameter xpp.dahdi_autoreg should be set. dahdi_registration will simply become a no-op.

SEE ALSO
dahdi_cfg(8), dahdi_span_assignments(8).